Summary:	GeoLite City - City database for GeoIP
Summary(pl.UTF-8):	GeoLite City - baza danych miast dla GeoIP
Name:		GeoIP-db-City
# Updated every month:
Version:	2018.10.31
Release:	1
License:	CC 3.0 BY-SA
Group:		Applications/Databases
Source0:	http://geolite.maxmind.com/download/geoip/database/GeoLiteCity.dat.xz?/GeoLiteCity-%{version}.dat.xz
# Source0-md5:	e672c69ed91151a9541123c7ad778c1e
Source1:	http://geolite.maxmind.com/download/geoip/database/GeoLiteCityv6-beta/GeoLiteCityv6.dat.gz?/GeoLiteCityv6-%{version}.dat.gz
# Source1-md5:	f6dff70c99f8449af1b7a33073eaa743
URL:		http://dev.maxmind.com/geoip/legacy/geolite/
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Determine country, state/region, city, US postal code, US area code,
metro code, latitude, and longitude information for IP addresses
worldwide.

License disclaimer: this product includes GeoLite data created by
MaxMind, available from <http://www.maxmind.com/>.

%description -l pl.UTF-8
Znajdź państwo, stan/region, miasto, kod pocztowy, kod regionu, kod
miejski, szerokość i wysokość geograficzną dla adresów IP z całego
świata.

Informacja licencyjna: ten produkt zawiera dane GeoLite stworzone
przez MaxMind, dostępne z <http://www.maxmind.com/>.

%prep
%setup -qcT
cp -p %{SOURCE0} .
cp -p %{SOURCE1} .

xz -d GeoLiteCity-%{version}.dat.xz
gunzip GeoLiteCityv6-%{version}.dat.gz

%build
# get file DATE in GMT timezone
filedate() {
	TZ=GMT stat -c '%y' "$1" | awk '{print $1}'
}

# use newest file date as version
d1=$(filedate GeoLiteCity-%{version}.dat)
d2=$(filedate GeoLiteCityv6-%{version}.dat)
if [ "$(echo $d1 | tr -d -)" -gt "$(echo $d2 | tr -d -)" ]; then
	d=$d1
else
	d=$d2
fi

ver=$(echo $d | tr - .)
if [ "$ver" != %{version} ]; then
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/GeoIP
cp -p GeoLiteCity-%{version}.dat $RPM_BUILD_ROOT%{_datadir}/GeoIP/GeoLiteCity.dat
ln -s GeoLiteCity.dat $RPM_BUILD_ROOT%{_datadir}/GeoIP/GeoIPCity.dat

cp -p GeoLiteCityv6-%{version}.dat $RPM_BUILD_ROOT%{_datadir}/GeoIP/GeoLiteCityv6.dat
ln -s GeoLiteCityv6.dat $RPM_BUILD_ROOT%{_datadir}/GeoIP/GeoIPCityv6.dat

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_datadir}/GeoIP/*.dat
%changelog
* Thu Nov 01 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/GeoIP-db-City.git;a=log;h=master

* Wed Oct 31 2018 Elan Ruusamäe <glen@pld-linux.org> eb7c12e
- updated to 2018.10.31

* Wed Oct 24 2018 Elan Ruusamäe <glen@pld-linux.org> 971f74b
- updated to 2018.10.23

* Mon Oct 15 2018 Elan Ruusamäe <glen@pld-linux.org> 79a233f
- updated to 2018.10.15

* Tue Oct 09 2018 Elan Ruusamäe <glen@pld-linux.org> 11d4ef2
- updated to 2018.10.09

* Tue Oct 02 2018 Elan Ruusamäe <glen@pld-linux.org> afdfcda
- updated to 2018.10.02

* Wed Sep 26 2018 Elan Ruusamäe <glen@pld-linux.org> 2c6bd96
- updated to 2018.09.26

* Mon Sep 17 2018 Elan Ruusamäe <glen@pld-linux.org> 3d02980
- updated to 2018.09.17

* Tue Sep 11 2018 Elan Ruusamäe <glen@pld-linux.org> 7cbf065
- updated to 2018.09.11

* Thu Sep 06 2018 Elan Ruusamäe <glen@pld-linux.org> a6a0007
- updated to 2018.09.05

* Wed Aug 29 2018 Elan Ruusamäe <glen@pld-linux.org> 29227b7
- updated to 2018.08.28

* Thu Aug 16 2018 Elan Ruusamäe <glen@pld-linux.org> 4db4dde
- updated to 2018.08.16

* Wed Aug 08 2018 Elan Ruusamäe <glen@pld-linux.org> d6a607d
- updated to 2018.08.07

* Wed Jul 04 2018 Elan Ruusamäe <glen@pld-linux.org> 4253d15
- updated to 2018.07.03

* Mon Jun 04 2018 Elan Ruusamäe <glen@pld-linux.org> 03c7af5
- updated to 2018.06.04

* Tue May 01 2018 Elan Ruusamäe <glen@pld-linux.org> c10c9f1
- updated to 2018.05.01

* Wed Apr 04 2018 Elan Ruusamäe <glen@pld-linux.org> c47fbdf
- updated to 2018.04.03

* Tue Mar 27 2018 Elan Ruusamäe <glen@pld-linux.org> 2efed92
- updated to 2018.03.27

* Wed Mar 07 2018 Elan Ruusamäe <glen@pld-linux.org> 9353782
- updated to 2018.03.07

* Mon Feb 05 2018 Elan Ruusamäe <glen@pld-linux.org> 4b040bc
- updated to 2018.02.05

* Fri Jan 05 2018 Elan Ruusamäe <glen@pld-linux.org> 98123b9
- updated to 2018.01.05

